#!/bin/sh
# This script when executed sets the CLASSPATH for the encryption packages and
# associated  classes. The script can be used when the SNMP V3 funtionality is 
# used.

. setallEnv.sh
cd ..
export CLASSPATH=$CLASSPATH:$SNMP_HOME/classes:.

# Uncomment (remove the hash) the appropriate lines accordingly based on 
# the encryption package used and the PATH in which it can be found

# Set the path in which the encryption package is present. For eg if the 
# package is Cryptix3.1.1 and is present in the parent directory(../) then
# uncomment and set as CRYPTIX3_1_1DIR=$SNMP_HOME 
# Absolute paths can also be given like CRYTPIX3_1_1DIR=/home/guest/cryptix3.1.1/classes

# In addition to this if the Cryptix package (any of the versions) is used add
# the line:
# security.provider.2=cryptix.provider.Cryptix 
# to the jre/lib/security/java.security file in the Java Home directory.

# If the JCE package (any version) is used then add the line:
# security.provider.2=com.sun.crypto.provider.SunJCE 
# to the jre/lib/security/java.security file in the Java Home directory. 

#CRYPTIX3_1_1DIR=
#CRYPTIX3_1_3DIR=
#CRYPTIX3_2DIR=
#JCE1_2DIR=
#JCE1_2_1DIR=

# For Cryptix3.1.1  uncomment the following line
#export CLASSPATH=$CRYPTIX3_1_1DIR/ALG_0-1-1.jar:$CRYPTIX3_1_1DIR/IJCE_0-1-1.jar:$CRYPTIX3_1_1DIR/SPT_0-1-1.jar

# For Cryptix3.1.3 uncomment the following line
#export CLASSPATH=$CRYPTIX3_1_3DIR/cryptix31.jar

# For Cryptix3.2 uncomment the following line
#export CLASSPATH=$CRYPTIX3.2DIR/cryptix32.jar:$SNMP_HOME/cryptix_classes


# For JCE1.2 uncomment the following line
#export CLASSPATH=$JCE1_2DIR/jce12-rc1-dom.jar:$SNMP_HOME/jdk1.2_classes

# For JCE1.2.1 uncomment the following line
#export CLASSPATH=$JCE1_2_1DIR/US_export_policy.jar:$JCE1_2_1DIR/local_policy.jar:$JCE1_2_1DIR/jce1_2_1.jar:$JCE1_2_1DIR/sunjce_provider.jar:$SNMP_HOME/jdk1.2_classes

